#include <common.h>

extern long cfm_flash_init(int bank);
extern long cfi_flash_init(void);

flash_info_t flash_info[CFG_MAX_FLASH_BANKS];

/* Initialize BANK #0 to the external CFI flash and BANK #1 to the internal
 * CFM flash
 */
unsigned long flash_init(void)
{
	unsigned long size = 0;

	flash_info[1].skip_detection = 1;	/* make the cfi driver ignore thos */
	size = cfi_flash_init();
	size += cfm_flash_init(1);

	return size;
}
